<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetLocalFileDate Method (IEdmFile5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile5 Interface : GetLocalFileDate Method (IEdmFile5)

Visual Basic
C#
C++/CLI

poPathOrFolderID
  ID of the folder, full file path, or a folder path (see Remarks)

Gets the date and timestamp of a local copy of this file.

# Syntax

Visual Basic |
--- | ---

    Function GetLocalFileDate( _
       ByRef poPathOrFolderID As System.Object _
    ) As System.Object

C# |
--- | ---

    System.object GetLocalFileDate(
       ref System.object poPathOrFolderID
    )

C++/CLI |
--- | ---

    System.Object^ GetLocalFileDate(
    &   System.Object^% poPathOrFolderID
    )

#### Parameters

poPathOrFolderID
  ID of the folder, full file path, or a folder path (see Remarks)

#### Return Value

Date and timestamp; Null if the local file is missing

# Example

Get File Information (VB.NET)
Get File Information (C#)

# Remarks

The date and timestamp of a file in SOLIDWORKS PDM Professional is adjusted to be backwards compatible with File Allocation Table (FAT) file systems. For example, a file's timestamp is always displayed in even seconds.

If poPathOrFolderID is a folder path, it must be terminated by a backslash ('\').

If you don't need the IEdmFile5 interface for some other task, it is much more efficient to use Win32 API functions to retrieve the date and timestamp of the file.

See Return Codes for the complete list of potential success and error codes. The following are just a few examples:

- S_OK: The method successfully executed.
- S_FALSE: The file does not exist in the specified location.

# See Also

####

IEdmFile5 Interface
IEdmFile5 Members
IEdmFile5::GetLocalFileSize Method ()
IEdmFile5::GetLocalRevisionName Method ()
IEdmFile5::GetLocalVersionNo Method ()
IEdmVersion5::FileDate Property ()

# Availability

SOLIDWORKS PDM Professional Version 5.2